# Derived values
%define module Archive-Tar
%define perlver %(rpm -q perl --queryformat '%%{version}' 2>/dev/null)

Summary: Perl module %{module}
Name: perl-archive-tar
Version: 1.29
Release: 2tr
License: distributable
Group: Trustix Official
Source0: http://search.cpan.org/CPAN/authors/id/K/KA/KANE/Archive-Tar-%{version}.tar.gz
Url: http://www.cpan.org
BuildRoot: /var/tmp/%{name}-buildroot-%(id -nu)/
BuildRequires:  perl
Requires:       perl = %{perlver}
Provides:       %{module} = %{version}

%define siteperl /usr/lib/perl5/site_perl/%{perlver}

%description
%{module} module from CPAN for perl

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n %{module}-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix}
make

%clean 
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
%{makeinstall}

find $RPM_BUILD_ROOT -name \*.pod -o -name .packlist | xargs rm

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

%files
%defattr(-,root,root,0755)
/usr/bin/ptar
/usr/bin/ptardiff
%{siteperl}/Archive
%{_mandir}/man3/*
%{_mandir}/man1/ptar*
%doc MANIFEST README

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Wed Jun 21 2006 Nived Gopalan <nived at trustix dot org> 1.29-1tr
- New Upstream

* Mon Jun 06 2005 Ajith Thampi <ajith at comodo dot com> 1.10-4tr
- Rebuilt on perl-5.8.7	
				
* Thu Mar 17 2005 Hasher Jamaludeen <hasher at comodo dot com> 1.10-2tr
- Rebuilt

* Mon Mar 07 2005 Raghu <raghu at comodo dot com> 1.23-1tr
- New Upstream
- Rebuilt on perl-5.8.6

* Tue Oct 05 2004 Syed Shabir <syedshabir at comodo dot com> 1.10-1tr
- New Upstream for TSL 2.2

* Mon Mar  8 2004 Chr. Toldnes <christht at trustix dot org>
- Rebuilt for TSL 2.1

* Thu Feb 12 2004 Gerald Dachs <gda at trustix dot org> 1.08-2gd
- fixed permission on directory
- added %doc to %files section

* Fri Jan 30 2004 Erlend Midttun <erlendbm at trustix dot org>
- Initial release for Trustix based off a few others.

